/* You can add global styles to this file, and also import other style files */
@use "@angular/material" as mat;
@import "./app/layout/mixins";
@import "./app/layout/variables";
@import "~bootstrap/scss/bootstrap";
@import "~@ng-select/ng-select/themes/default.theme.css";
@import '~quill/dist/quill.snow.css';
@import "../node_modules/ngx-bootstrap/datepicker/bs-datepicker.scss";

@include mat.core();

html,
body {
  height: 100%;
}

.pointer {
  cursor: pointer !important;
}

body {
  margin: 0;
  font-family: $font-family;
  font-size: 10px;
}
.disabled-field{
  background-color:  #e9ecef;
}

h1,
h2,
h3,
h4,
h5,
h6,
a,
p,
div {
  font-family: $font-family !important;
}

.alert-error {
  color: red;
}

.alert-success {
  color: green;
}

.Active-Value {
  text-align: center;

  span {
    color: #015871 !important;
  }
}

.Active {
  text-align: center;

  span {
    background-color: #d0efd0 !important;
    color: green;
    // background-color: green !important;
    // color: white;
    // font-weight: 700;
    border-radius: 5px;
    padding: 2px 10px;
  }
}

.InActive {
  text-align: center;

  span {
    background-color: rgb(252 221 226) !important;
    color: rgb(221, 107, 126);
    // background-color: rgb(221, 107, 126) !important;
    // color: white;
    // font-weight: 700;
    border-radius: 5px;
    padding: 2px 10px
  }
}

.pointer {
  cursor: pointer;
}

// p {
//   margin-bottom: 0px !important;
// }

.main-content {
  .container {
    // padding-left: 25px;
    // padding-right: 25px;
    max-width: 100%;
    @media (max-width: 767.98px) {
      padding: 0px;
    }
  }

  .container-fluid {
    // padding-left: 25px;
    // padding-right: 25px;
  }
}

.page-title-row {
  margin-top: 20px;
  margin-bottom: 30px;

  h1 {
    margin: 0px;
  }
}

.form-control,
.form-select,
.input-group-text {
  // font-size: 10px;
  border-radius: 10px;
}
.ng-select .ng-select-container {
  border-radius: 10px;
}
.ng-dropdown-panel.ng-select-bottom {
  border-bottom-right-radius: 10px;
  border-bottom-left-radius: 10px;
}
.ng-dropdown-panel.ng-select-bottom .ng-dropdown-panel-items .ng-option:last-child {
  border-bottom-right-radius: 10px;
  border-bottom-left-radius: 10px;
}
.ng-dropdown-panel.ng-select-top {
  border-top-right-radius: 10px;
  border-top-left-radius: 10px;
}
.ng-dropdown-panel.ng-select-top .ng-dropdown-panel-items .ng-option:first-child {
  border-top-right-radius: 10px;
  border-top-left-radius: 10px;
}

.nav-tabs {
  border-bottom: 0px solid #dee2e6;
}

label {
  color: $primary-color;
  font-size: 12px;
  font-weight: 500;
}
.input-group-append {
  border-top-left-radius: 0px !important;
  border-bottom-left-radius: 0px !important;
  .input-group-text {
    border-top-left-radius: 0px !important;
    border-bottom-left-radius: 0px !important;
  }
}
.input-group-text {
  // font-size: 10px;
  @media (max-width: 767.98px) {
    padding-left: 5px;
    padding-right: 5px;
  }
}

.btn {
  // min-width: 75px;
  &.btn-success {
    background-color: var(--bs-btn-hover-bg);
    color: var(--bs-btn-hover-color);
  }
  &.btn-danger {
    background-color: var(--bs-btn-hover-bg);
    color: var(--bs-btn-hover-color);
  }
  &:hover {
    opacity: 0.8;
  }
}
.blue-bg {
  background-color: $primary-color;
  h2 {
    color: $white-color;
  }
  h5 {
    color: $background-color;
  }
  label {
    color: $white-color;
  }
  .btn-primary {
    background-color: --bg-blue;
  }
  a {
    color: white !important;
  }
}
.pricing {
  h2 {
    background-color: $primary-color;
    padding: 15px;
    color: white;
    // border: 1px solid white;
    border-radius: 15px 50px;
    // box-shadow: 0px 0px 36px -4px rgba(212,212,212,1);
    // border-width: 5px 5px 5px 5px;
    // border-image: linear-gradient(45deg, rgba(100,57,242,1) 0%, rgba(242,55,55,1) 100%);
    // border-image-slice: 9;
    // border-style: solid;
  }
}

.page-header {
  color: var(--font-color);
  font-weight: 500;
  // font-size: var(--font-main-content-title);
  text-indent: -1px;
  line-height: 1;
  position: relative;
}

// .breadcrumb {
//   justify-content: flex-end;
//   padding: 15px 0px;
//   font-size: $breadcrumb-font-size;
//   a {
//     font-size: $breadcrumb-font-size;
//     color: $font-color;
//     text-decoration: none;
//   }
// }
.breadcrumb {
  @include a-breadcrumb;
}

.page-title {
  padding: 15px 15px 10px 0px;
  .main-content-title {
    color: var(--font-color);
    font-weight: 500;
    font-size: var(--font-main-content-title);
    text-indent: -1px;
    line-height: 1;
    position: relative;
    margin-bottom: 5px;
    .badge.text-primary {
      border: 1px solid;
      vertical-align: middle;
      font-size: 50%;
    }
    span {
      color: var(--small-font-color);
      font-size: var(--font-main-content-title-sub);
      display: inline-block;
      padding-left: 4px;
      font-weight: 300;
    }
  }

  .btn {
    margin-left: 10px;
  }
  @media (max-width: 767.98px) {
    .btn {
      font-size: 0;
      i {
        font-size: var(--font-main-modal-title);
      }
    }
  }
}
.contentBox{
  background-color: rgba(var(--bs-white-rgb), var(--bs-bg-opacity)) !important;
  // box-shadow: 0 0.5rem 1rem rgb(0 0 0 / 15%) !important;
  // padding: 3rem!important;
}
.form-group {
  margin-bottom: 1rem;
}

.ql-container {
  height: 200px !important;
}

.photoThumb {
  width: 100%;
  height: 174px;
  object-fit: contain;
  background-color: #f9f9f9;
}
.form-label, .col-form-label{
  color: $primary-color;
}

// p{
//   font-size: 12px
// }

thead{
  font-size: 12px;
  text-align: center;
}

.photoimgsize{
  height: 300px;
  width: 200px;
  object-fit: contain;

  @media (max-width: 767.98px) {
    width: 100%;
  }
}

.cdk-dialog-container {
  display: block !important;
  background: #fff !important;
  border-radius: 8px !important;
  padding: 8px 16px 16px !important;
}

.myaccordion {
  .card {
    margin: 10px;
    border: 0px;
    box-shadow: 0 1px 38px rgb(0 0 0 / 5%), 0 5px 12px rgb(0 0 0 / 5%);
    border-radius: 0.375rem;
    overflow: hidden;
  }
  .card-header {
    background-color: #fff;
    border: 0px;
    .btn-link {
      text-decoration: none;
      color: black;
    }
  }
  .fa {
    transition: all 0.2s;
  }
  .panel-open {
    .card-header {
      background-color: #eee;
    }
    .pull-right {
      .fa {
        transform: rotate(180deg);
      }
    }
  }
}

.hasFixedButton {
  padding-bottom: 80px;
}
.bottomFixedButton {
  position: fixed;
  width: calc(100% - ($sidebar-width + 10px));
  bottom: 0px;
  right: 5px;
  background: #fff;
  @media (max-width: 767.98px) {
    width: 100%;
  }
}
@media (max-width: 767.98px) {
/* width */
.table-responsive::-webkit-scrollbar {
  width: 5px;
  height: 5px;
}

/* Track */
.table-responsive::-webkit-scrollbar-track {
  box-shadow: inset 0 0 5px grey;
  border-radius: 10px;
}

/* Handle */
.table-responsive::-webkit-scrollbar-thumb {
  background: $primary-color;
  border-radius: 10px;
}

/* Handle on hover */
.table-responsive::-webkit-scrollbar-thumb:hover {
  background: $primary-color;
}
}

.fixed-header-grid {
  // padding: 10px;
  height: calc(100vh - 260px);

  .table {
    border-spacing: 0px;
    border-collapse: separate;

    .action {
      border-left: 1px solid rgba(0, 0, 0, 0.125);
    }
  }

  th {
    padding: 11px 8px;
    font-weight: 500;
    position: sticky;
    top: 0px;
    background-color: #fafafb !important;
    &.example-list {
      background-color: #fafafb !important;
    }

    // &:hover {
    //   background-color: #f9f9f9;
    // }
  }

  th.action {
    position: sticky;
    // right: 0px;
    // background-color:#fff;
    z-index: 2;
  }
  @media (min-width: 768px) {
    th.action {
    right: 0px;
  }
  }
  .filteropen {
    th {
      position: sticky;
      top: 45px;
      background-color:#fff;
    }
  }

  tbody {
    .selected {
      td {
        background-color: #d7e5ff!important;
      }
    }
    // tr:nth-child(even) {
    //   background-color: #f4f4f4;
    // }
    tr {
      border-radius: 10px;

        td {
          font-size: 12px;
        }

        .conjusted {
          padding-top: 1px !important;
          padding-bottom: 1px !important;
        }
        .normal {
          padding-top: 8px;
          padding-bottom: 8px;
        }
        .comfortable {
          padding-top: 17px;
          padding-bottom: 17px;
        }

      // &:hover {
      //   box-shadow: 0px 0px 1px green;
      // }
    }
  }

  td.action {
    position: sticky;
    right: 0px;
    // background-color: #fff;
    z-index: 1;
  }

  // @media (max-width: 768px) {

  //   th.action,
  //   th:last-child {
  //     position: static;
  //   }

  //   td.action,
  //   td:last-child {
  //     position: static;
  //   }
  // }
  .btn {
    white-space: nowrap;
  }
}
.download-link {
  text-decoration: none;
  i {
    background-color: var(--bg-blue);
    color: #fff;
    padding: 5px;
    border-radius: 50%;
    align-self: flex-start;
    margin-right: 10px;
  }
}
.uploadExcel {
  .fixed-header-grid {
    height: calc(100vh - 350px);
  }
}
